
package nlib.user.service;

import java.util.HashMap;
import java.util.List;

import egovframework.com.ext.oauth.service.OAuthUniversalUser;
import nlib.restful.service.DataApiReqVO;
import nlib.restful.service.DataApiResVO;

/**
 * Description : 
 * @author
 * @since
 * @version
 * @see
 *
 * <pre>
 * << Modification Information >>
 *   
 *   Date     Modifier               Expression
 *  -------    --------    ---------------------------
 *  
 *
 * 
 * </pre>
 */
public interface MemberService
{
	public DataApiResVO selectMemberJoiningInfo(DataApiReqVO reqVO);

	public DataApiResVO certificateMember(DataApiReqVO reqVO);

	public void insertMemberInfo(NlibLoginVO vo) throws Exception;

	public DataApiResVO sendEmailForMemberJoining(DataApiReqVO reqVO);

	public DataApiResVO searchId(DataApiReqVO reqVO);

	public DataApiResVO initPassword(DataApiReqVO reqVO);

	public void changePassword(NlibLoginVO vo) throws Exception;

	public DataApiResVO selectMemberInfo(DataApiReqVO reqVO);

	public DataApiResVO updateMemberInfo(DataApiReqVO reqVO);

	public DataApiResVO leaveMember(DataApiReqVO reqVO);

	public String numberGen(int i, int j);

	public String createInitPwd();

	public NlibLoginVO selectAlreadySignUpId(OAuthUniversalUser oauthUser) throws Exception;

	public void insertMemberSns(OAuthUniversalUser oauthUser);

	public List<NlibLoginVO> selectAlreadySignUpMobile(NlibLoginVO loginVO) throws Exception;

	public int selectSnsIdCount(OAuthUniversalUser oauthUser);

	public void deleteMembership(NlibLoginVO loginVO) throws Exception;

	public void sendSms(NlibSmsVO smsVO) throws Exception;


}